GNOME glib-networking 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 2042793 漏洞类型 信任管理问题
发布时间 2020-05-28 更新时间 2020-07-28
CVE编号 CVE-2020-13645 CNNVD-ID CNNVD-202005-1377
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-202005-1377
|漏洞详情
GNOME glib-networking是一款Glib(C语言编写的五个底层库的集合)的网络扩展软件包。 GNOME glib-networking 2.64.2及之前版本中存在安全漏洞,该漏洞源于如果server-identity属性为NULL,GTlsClientConnection的实现将不会验证服务器TLS证书的主机名。目前尚无此漏洞的相关信息,请随时关注CNNVD或厂商公告。
|参考资料

来源:MISC

链接:https://gitlab.gnome.org/GNOME/balsa/-/issues/34


来源:MISC

链接:https://gitlab.gnome.org/GNOME/glib-networking/-/issues/135


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-13645